- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# SpeexStereoState: Handling Speex stereo files

## Classes
struct | SpeexStereoState
## Defines
#define | SPEEX_STEREO_STATE_INIT {1,.5,1,1,0,0}
## Functions
SpeexStereoState * | speex_stereo_state_init ()
void | speex_stereo_state_reset (SpeexStereoState *stereo)
void | speex_stereo_state_destroy (SpeexStereoState *stereo)
void | speex_encode_stereo (float *data, int frame_size, SpeexBits *bits)
void | speex_encode_stereo_int (spx_int16_t *data, int frame_size, SpeexBits *bits)
void | speex_decode_stereo (float *data, int frame_size, SpeexStereoState *stereo)
void | speex_decode_stereo_int (spx_int16_t *data, int frame_size, SpeexStereoState *stereo)
int | speex_std_stereo_request_handler (SpeexBits *bits, void *state, void *data)

## Detailed Description

This describes the Speex intensity stereo encoding/decoding

## Define Documentation

#define SPEEX_STEREO_STATE_INIT {1,.5,1,1,0,0}

Deprecated. Use speex_stereo_state_init() instead.

## Function Documentation

void speex_decode_stereo | ( | float * | data,
|  | int | frame_size,
|  | SpeexStereoState * | stereo |
| ) |  |  |

Transforms a mono frame into a stereo frame using intensity stereo info

void speex_decode_stereo_int | ( | spx_int16_t * | data,
|  | int | frame_size,
|  | SpeexStereoState * | stereo |
| ) |  |  |

Transforms a mono frame into a stereo frame using intensity stereo info

void speex_encode_stereo | ( | float * | data,
|  | int | frame_size,
|  | SpeexBits * | bits |
| ) |  |  |

Transforms a stereo frame into a mono frame and stores intensity stereo info in 'bits'

void speex_encode_stereo_int | ( | spx_int16_t * | data,
|  | int | frame_size,
|  | SpeexBits * | bits |
| ) |  |  |

Transforms a stereo frame into a mono frame and stores intensity stereo info in 'bits'

int speex_std_stereo_request_handler | ( | SpeexBits * | bits,
|  | void * | state,
|  | void * | data |
| ) |  |  |

Callback handler for intensity stereo info

void speex_stereo_state_destroy | ( | SpeexStereoState * | stereo | ) |

Destroy a stereo stereo state

SpeexStereoState* speex_stereo_state_init | ( |  | ) |

Initialise/create a stereo stereo state

void speex_stereo_state_reset | ( | SpeexStereoState * | stereo | ) |

Reset/re-initialise an already allocated stereo state